version: "3.8"
services:
  web:
    depends_on:
      - php
      - phpmyadmin
    image: nginx:alpine
    restart: on-failure
    networks:
      default: {}
      reverse-proxy: {}
    environment:
      VIRTUAL_HOST: $PROJECT_ACCESS
      VIRTUAL_PORT: $PROJECT_PORT
    volumes:
      - ./:/var/www/html:ro
      - ./docker/web/nginx.conf:/etc/nginx/conf.d/default.conf
  php:
    image: local/quiz
    build:
      context: docker/php
      args:
        USER_ID: $USER_ID
    networks:
      default: {}
    volumes:
      - ./:/var/www/html
      - ${COMPOSER_CACHE_DIR:-~/.cache/composer}:/composer/cache
    user: ${USER_ID}
    environment:
      - DATABASE_URL=mysql://root:${MYSQL_PASSWORD}@db:3306/${MYSQL_DB}?serverVersion=8.0
      - APP_ENV
      - APP_SECRET
  db:
    image: mysql:8
    restart: on-failure
    networks:
      default: {}
    environment:
      MYSQL_DATABASE: ${MYSQL_DB}
      MYSQL_ROOT_PASSWORD: ${MYSQL_PASSWORD}
      TZ: Europe/Budapest
    volumes:
      - db_data:/var/lib/mysql
    command: --character-set-server=utf8mb4 --collation-server=utf8mb4_hungarian_ci
  phpmyadmin:
    image: phpmyadmin
    restart: on-failure
    networks:
      default: {}
    environment:
      - PMA_HOST=db
      - PMA_USER=root
      - PMA_PASSWORD=$MYSQL_PASSWORD
      - PMA_ABSOLUTE_URI=http://${PROJECT_ACCESS}/pma
      - PMA_PMADB=$MYSQL_DB
networks:
  default:
    driver: bridge
    labels:
      - quiz
  reverse-proxy:
    external: true
    name: reverse-proxy
volumes:
  db_data:
